import BaseStore from '@src/stores/base';

export default class QuestionStore extends BaseStore {
  searchNo(params) {
    return this.apiPost('/question/search/no', params);
  }

  searchStem(params) {
    return this.apiPost('/question/search/stem', params);
  }

  listNo(params) {
    return this.apiPost('/question/list/no', params);
  }

  addNo(params) {
    return this.apiPost('/question/add/no', params);
  }

  delNo(params) {
    return this.apiDel('/question/delete/no', params);
  }

  add(params) {
    return this.apiPost('/question/add', params);
  }

  edit(params) {
    return this.apiPut('/question/edit', params);
  }

  get(params) {
    return this.apiGet('/question/detail', params);
  }
}

export const Question = new QuestionStore({ key: 'question' });
